apertium-interchunk(1)

NAME
apertium-interchunk - This application is part of ( apertium )

This tool is part of the apertium machine translation architecture: http://apertium.org.

SYNOPSIS
apertium-interchunk [-tz] trules preproc [input [output]]

DESCRIPTION
This is an intermediate tool from Apertium level 2 engine. You should never have to use it independently.

It is the second transfer module of the Apertium level 2 transfer model after apertium-transfer and before apertium-postchunk.

It takes care of interchunk processing operations such as chunk reordering, changes in the morphosyntactical features of chunks according to the information in neighboring chunks, or generating new chunks.

OPTIONS
  -t trace mode
  -z flush buffer on the null character

FILES
These are the kinds of files that can be used with this command:

trules A rules file with extension .t2x.

preproc A file with extension .t2x.bin that holds the result of preprocessing the trules file with apertium-preprocess-transfer.

input, output Represent the input and output files. By default they are the standard input and standard output.

SEE ALSO
apertium-gen-modes(1), apertium-postchunk(1), apertium-transfer(1), apertium-validate-interchunk(1), apertium-validate-modes(1), apertium-validate-postchunk(1).

BUGS
Lots of them...lurking in the dark and waiting for you!

AUTHOR
(c) 2005-2007 Universitat d'Alacant / Universidad de Alicante. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>.